<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetHeadPosition Method (IEdmStrLst5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmStrLst5 Interface : GetHeadPosition Method (IEdmStrLst5)

Visual Basic
C#
C++/CLI
Starts an enumeration of the strings in this list.

# Syntax

Visual Basic |
--- | ---

    Function GetHeadPosition() As IEdmPos5

C# |
--- | ---

    IEdmPos5 GetHeadPosition()

C++/CLI |
--- | ---

    IEdmPos5^ GetHeadPosition();

#### Return Value

IEdmPos5; position in the list of the first string (see Remarks)

# Example

See the IEdmStrLst5 examples.

# Remarks

After calling this method, pass the returned position of the first string to IEdmStrLst5::GetNext to get the first string in this list. Then call IEdmStrLst5::GetNext repeatedly to get the rest of the strings in this list.

C++ programmers not using smart-pointer wrapper functions must release the returned interface, IEdmPos5.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmStrLst5 Interface
IEdmStrLst5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2